using Netina.Common.Models;

namespace Netina.Core.CoreServices.Abstracts;

public interface ISettingService : IScopedDependency
{
    public Task<object> GetSettingAsync(string settingName, CancellationToken cancellationToken = default);
    public Task CreateOrUpdateSettingAsync(string settingName, JsonDocument settingObj, CancellationToken cancellationToken = default);
}
